#
# neuro_cutscene.bsl
#

var int self_destruct=1;

######################################
#                                    #
#          INTRO - STAGE I           #
#                                    #
######################################

# <----------------- Intro Setup ---------------------->

func void intro_setup(void)
{
	fade_out 0 0 0 0		
	env_show 271 0
	env_show 272 0
	obj_create 271 272
	cm_interpolate IntroCamOut01 0
	sleep f14
	obj_shade 271 272 .3 .3 .2							
	sleep f1
	sound_music_start mus_low1 1.0
}

# <----------------- Intro Part 1 ---------------------->

func void intro_part1(void)
{

	cm_interpolate IntroCamOut01 0
fade_in 60
	
	dmsg "[y. Intercom - Ready]"
sleep 75
message_remove

ai2_takecontrol 1
ai2_allpassive 1

	cm_interpolate IntroCamOut01 0
	
	cinematic_start (KONtalking, 180, 180, 15, 1, 20, false)
	cinematic_start (KERRtalking, 180, 180, 20, 9, 20, true)
sleep 100
	dmsg "[b. Konoko: Hello, uncle! I need your help once again.]"
sleep 150
message_remove
	dmsg "[r. Kerr: Yes, you do. And more than you think. When you get inside the building, try to get to my lab unnoticed.]"
sleep 300
message_remove
	dmsg "[b. Konoko: I am on my way.]"

sleep 250

ai2_takecontrol 0
ai2_allpassive 0

	cinematic_stop (KONtalking, 19, 20)
	cinematic_stop (KERRtalking, 20, 20)

}

# <----------------- Intro Part 2 ---------------------->

func void intro_part2(void)
{
ai2_spawn IntroTCTF01
chr_set_health IntroTCTF01 500
sleep f200

begin_cutscene

	#Lobby shot
	cm_interpolate IntroCamIn01 0
	sleep f180
	sound_dialog_play c13_47_03blackops
	cinematic_start (TCTFtalking, 180, 180, 20, 9, 20, true)
	sleep f60
	#Security lets guy in
	cm_interpolate IntroCamSecSet 0
	playback IntroTCTF01 IntroSecSet
	sleep f150
	sound_dialog_play c13_47_04opsguard2
	cinematic_start (BOPSface, 180, 180, 15, 1, 20, false)	
	sleep f150
	cinematic_stop (BOPSface, 15, 20)
	cinematic_stop (TCTFtalking, 20, 20)
	#Door opens
	ai2_spawn IntroTCTF02
	chr_set_health IntroTCTF02 300

	cm_interpolate IntroCamDoorOpen 0
	playback IntroTCTF01 IntroSecSet
	playback IntroTCTF02 IntroSecWalk
	env_anim 271 272
	sound_ambient_start c12_42_00door
	sleep f240
	#camera inside looking down
	cm_interpolate IntroCamTopDown 0
	playback 0 IntroKonCrouch
	chr_animate 0 KONOKOcrouch_idle 1000
	sleep f300
	#camera showing security talking
	playback IntroTCTF01 IntroSecMonitor01
	#cm_interpolate IntroCamBothTalk 0
	#sleep f180
	#Security goes over to monitors
	cm_interpolate IntroCamMonitorMid 0
	playback IntroTCTF02 IntroSecMonitor02
	#next line was 180
	sleep f120
	sound_dialog_play c13_47_01opsguard1
	cinematic_start (TCTFtalking, 180, 180, 20, 9, 20, true)
	sleep f60
	#konoko jumps down behind Security
	cm_interpolate IntroCamKonDrop 0
	sleep f120
	chr_envanim 0 IntroKonBox01 norotation
	chr_animate 0 KONOKOlev14_IntroJump
	#Konoko hides from guys
	chr_envanim_block 0 IntroKonBox02 norotation
	cm_anim both IntroCamHide
	sound_dialog_play c13_47_02opsguard2
	cinematic_start (BOPSface, 180, 180, 15, 1, 20, false)	
	sleep f100
	chr_animate 0 KONOKOlev14_IntroHide
	sound_dialog_play_block pause
	cinematic_stop (BOPSface, 15, 20)
	cinematic_stop (TCTFtalking, 20, 20)
	#Show doors closing
	cm_wait
	cm_interpolate IntroCamDoors 0
	env_setanim 271 IntroDoorRt01
	env_setanim 272 IntroDoorLt01
	sound_ambient_start c13_04_03doorclose
	sleep f120
	#Konoko makes a run for it
	
	env_setanim 271 IntroDoorRt01
	env_setanim 272 IntroDoorLt01
	#cm_anim both IntroCamKonRun
	#chr_envanim 0 IntroKonBox03 norotation
	#chr_animate 0 KONOKOlev14_IntroRun
	sound_music_stop mus_low1

end_cutscene
}

# <----------------- Intro Part III ---------------------->

func void intro_part3(void)
{
	
#playback 0 IntroKonCrouch

ai2_makeaware IntroTCTF01 char_0
ai2_makeaware IntroTCTF02 char_0
ai2_lookatchar IntroTCTF01 char_0
ai2_lookatchar IntroTCTF02 char_0

ai2_takecontrol 1
ai2_allpassive 1

cm_interpolate IntroCamIn01 50
sleep 50

cinematic_start (BOPSface, 180, 180, 15, 1, 20, false)
	
dmsg "[y. TCTF Black Ops: You may stop right there, Konoko. You are under arrest.]"
sleep 100
cinematic_start (KONangry, 180, 180, 20, 9, 20, true)
sleep 100
message_remove
sleep 20
dmsg "[b. Konoko: Bring it on, punk.]"
sleep 50
cinematic_stop (KONangry, 19, 20)
cinematic_stop (BOPSface, 20, 20)


cm_reset

ai2_takecontrol 0
ai2_allpassive 0

ai2_attack IntroTCTF01 char_0
ai2_attack IntroTCTF02 char_0

sleep 70
message_remove
}

# <----------------- Intro Part 4-0 ---------------------->

func void intro_part4_0(void)
{
timer_start 600 intro_part4_1
}

# <----------------- Intro Part 4-1 ---------------------->

func void intro_part4_1(void)
{

if (self_destruct eq 1)
{
you_lose
}

}

# <----------------- Intro Part 4-main ---------------------->

func void intro_part4(void)
{

chr_wait_health IntroTCTF01 0
chr_wait_health IntroTCTF02 0

ai2_takecontrol 1
ai2_allpassive 1

message_remove

cm_orbit 0.3
dmsg "[y. TCTF Black Ops: In 10 minutes the whole place will self-destruct. The whole place is all locked up and there is no way out.]"
sleep 300
message_remove

# << Konoko - Watch Animation >>
chr_animate 0 KONOKOwatch_idle 1100

	cinematic_start (KONtalking, 180, 180, 15, 1, 20, false)
	cinematic_start (KERRtalking, 180, 180, 20, 9, 20, true)
sleep 100
	dmsg "[y. Intercom - Ready]"
	sleep 200
	message_remove
	dmsg "[r. Kerr: You must hurry Konoko. This wasn't in my plans. When you come to my lab, we can turn the self-destruct off.]"
sleep 300
message_remove
	dmsg "[b. Konoko: I am going as fast as I can.]"
	sleep 150
	message_remove
dmsg "[r. Kerr: Prepare to be teleported to POD #1. Others will be teleported through the console there too.]"
sleep 300
message_remove

sleep 150

cm_reset
	cinematic_stop (KONtalking, 19, 20)
	cinematic_stop (KERRtalking, 20, 20)

#Thanks to Shaqx, www.tanv.co.uk/shaqx/hompage/new_page_1.html. One must use
#fading for the teleport, i.e no sudden location switches.

fade_out 3 2 5 7	

#look at original logic file. In it, you will find a patrol function with
#playback_block function. Due to my ingenuity, I have changed it to a
#playback function. Quasi teleport eh !?

playback 0 alarm1 1

#
fade_in 100
sleep 100
#

ai2_takecontrol 0
ai2_allpassive 0

message_remove



save_game 1 auto_save
intro_part4_0
}


# <----------------- Intro - Main ---------------------->

func void
neuro_cs_intro(
	void)
{
intro_setup
intro_part1
intro_part2
intro_part3
fork intro_part4
}







func void
spawn_kerr(
	void)
{
	ai2_spawn ScanKerr01
	ai2_passive ScanKerr01 1
	chr_unstoppable KerrKerr 1
	chr_delete KerrKerr
}


func void
scanner_start(
	void)
{
	var int number_near = 0;

	number_near = number_near + trigvolume_count(68);
	number_near = number_near + trigvolume_count(69);
	number_near = number_near + trigvolume_count(70);
	number_near = number_near + trigvolume_count(71);

	if (number_near eq 0) 
	{
		trigvolume_enable trigger_volume_13 0
		doscanscene
	}
}

##############################

func void wait_and_play_xtr5(void)
{
	sleep 60
	sound_music_start mus_xtr5 1.0
}


func void
doscanscene(
	void)
{	
}

func void
KerrSpawn(void)
{
		ai2_spawn KerrKerr
		#playback KerrKerr KerrKerrSet
		ai2_passive KerrKerr 1
}

func void
Kerr(void)
{
	if(trigvolume_count(36) eq 0)
	{
		sound_music_start mus_sad1 0.8
		begin_cutscene
		#ai2_spawn KerrKerr
		ai2_takecontrol 1
		ai2_movetoflag 0 1261 setfacing
		playback KerrKerr KerrKerrSet
		cm_interpolate KerrCamKerr 180
		sleep f100
		#Konoko says Hi Uncle
		sound_dialog_play c13_64_01konoko
		cinematic_start (KONlistening, 180, 180, 19, 9, 20, true)
		sound_dialog_play_block pause
		#Kerr says what are you doing here?
		cm_interpolate KerrCamKerr 180
		sound_dialog_play c13_64_02kerr
		cinematic_start (KERRtalking, 180, 180, 16, 1, 20, false)
		sound_dialog_play_block pause
		#Konoko says I need your help
		playback 0 KerrKonSet
		cm_interpolate KerrCamLt02 0
		cm_interpolate_block KerrCamLt01 800
		sound_dialog_play c13_64_03konoko
		sound_dialog_play_block pause
		#Kerr says yep, you do
		sound_dialog_play c13_64_04kerr
		sound_dialog_play_block pause
		sleep f20
		#Konoko says I'm on it
		sound_dialog_play c13_64_05konoko
		sound_dialog_play_block pause
		sleep f30
		#Kerr says meet me in lab
		sound_dialog_play c13_64_06kerr
		sound_dialog_play_block pause
		cinematic_stop (KONlistening, 20, 20)
		cinematic_stop (KERRtalking, 15, 20)
		cm_reset
		letterbox 0
		playback KerrKerr KerrKerrGive fromhere
		sleep f90
		chr_animate KerrKerr COMGUYact_give
		chr_animate 0 KONOKOact_give
		sleep f90
		give_powerup hypo
		sleep f2
		give_powerup hypo
		ai2_takecontrol 0
		fork set_objective_2
		end_cutscene
		trigvolume_enable Kerr_trig 0
		trigvolume_enable Kerr_trig_copy 0
		console_activate 13
		save_point_2
		sound_music_volume mus_sad1 0 2
		kerr_console_music
	}	
}


func void Acid01(string char)
{
  var bool eggman;

  eggman = chr_is_player(char);

  if (eggman eq 0)
  {
    chr_animate(char, KONOKOacid);
    sleep 10
    chr_set_health(char, 0);
  }

  if (eggman eq 1)
  {
	chr_animate(char, KONOKOacid);
	trigvolume_enable LastVat 0
	cm_interpolate AcidCam01 500
	sleep 5
	input 0
	invincible=1
	sleep 525
	chr_animate(char, KONOKOlev14_grinder);
	chr_envanim(char, GrinderKonBox01, norotation);
	sleep f60
	sound_ambient_start c13_47_11_bonecrunch
	sleep f10
	sound_impulse_play konoko_gruesome_death
	sleep f75
	chr_set_health(char, 0);
  }
}


func void Acid02(string char)
{
  var bool eggman;

  eggman = chr_is_player(char);

  if (eggman eq 0)
  {
    chr_animate(char, KONOKOacid);
    sleep f10
    chr_set_health(char, 0);
  }

  if (eggman eq 1)
  {
	chr_animate(char, KONOKOacid);
	input 0
	trigvolume_enable LastVat 0
	cm_interpolate AcidCam01 400
	sleep f5
	invincible=1
	sleep f430
	chr_animate(char, KONOKOlev14_grinder);
	chr_envanim(char, GrinderKonBox01, norotation);
	sleep f60
	sound_ambient_start c13_47_11_bonecrunch
	sleep f10
	sound_impulse_play konoko_gruesome_death
	sleep f75
	chr_set_health(char, 0);
  }
}



func void Acid03(string char)
{
  var bool eggman;

  eggman = chr_is_player(char);

  if (eggman eq 0)
  {
    chr_animate(char, KONOKOacid);
    sleep f10
    chr_set_health(char, 0);
  }

  if (eggman eq 1)
  {
	input 0
	trigvolume_enable LastVat 0
	chr_animate(char, KONOKOacid);
	cm_interpolate AcidCam01 200
	sleep f5
	invincible=1
	sleep 230
	chr_animate(char, KONOKOlev14_grinder);
	chr_envanim(char, GrinderKonBox01, norotation);
	sleep f60
	sound_ambient_start c13_47_11_bonecrunch
	sleep f10
	sound_impulse_play konoko_gruesome_death
	sleep f75
	chr_set_health(char, 0);
  }
}



func void acid04(string char)
{
  var bool eggman;

  eggman = chr_is_player(char);

  if (eggman eq 0)
  {
    chr_animate(char, KONOKOacid);
    sleep f10
    chr_set_health(char, 0);
  }

  if (eggman eq 1)
  {
	cm_detach
	input 0
	trigvolume_enable LastVat 0
	chr_animate(char, KONOKOacid);
	sleep f5
	invincible=1
	sleep 40
	cm_interpolate GrinderCamEnd 0
	sleep f10
	chr_animate(char, KONOKOlev14_grinderend);
	chr_envanim(char, EndGrinderKonBox01, norotation);
	sleep f60
	sound_ambient_start c13_47_11_bonecrunch
	sleep f10
	sound_impulse_play konoko_gruesome_death
	sleep f75
	chr_set_health(char, 0);
  }
}





func void
EndScan(
	void)
{
	sound_dialog_play c13_66_01konoko
	cinematic_start (KONtalkangryfront, 180, 180, 19, 7, 20)
	sound_dialog_play_block
	sleep f60
	cinematic_stop (KONtalkangryfront, 19, 20)
}


func void
CraneTalk(
	void)
{
	sound_dialog_play c13_66_03konoko
	cinematic_start (KONtalkangryfront, 180, 180, 19, 7, 20)
	sound_dialog_play_block
	sleep f60
	cinematic_stop (KONtalkangryfront, 19, 20)	
}

func void
BeginVat(
	void)
{
	sound_dialog_play c13_66_02konoko	
	cinematic_start (KONtalkangryfront, 180, 180, 19, 7, 20)
	sound_dialog_play_block
	sleep f60
	cinematic_stop (KONtalkangryfront, 19, 20)
}


func void
Outro(
	void)
{
	if(final_check eq 0)
	{
		dprint OUTRO_1
		begin_cutscene
		trigvolume_enable LastVat 0
		ai2_takecontrol 1
		ai2_movetoflag 0 222
		sleep f200
		Outro2
	}

	if(final_check ne 0)
	{
		Outro2
	}
}

func void
Outro2(
	void)
{
	dprint OUTRO_2
	begin_cutscene
	trigvolume_enable LastVat 0
	ai2_takecontrol 1	
	#dialog talking about how to get to the crane
	#Konoko runs to Crane
	cm_interpolate OutroCam01 0
	sound_dialog_play c13_66_04konoko
	cinematic_start (KONintense, 180, 180, 19, 7, 20)
	sound_dialog_play_block
	chr_envanim 0 OutroKonBox01 norotation
	env_anim 71 74
	cm_anim both OutroCam01
	cutscene_sync mark
	sound_ambient_start c13_59_22_crane
	sleep f150
	chr_animate 0 KONOKOlev14_Run
	#Konoko jumps to Crane
	cm_anim_block both OutroCamJump
	chr_envanim 0 OutroKonBox02 norotation
	chr_animate 0 KONOKOlev14_Jump
	env_setanim 71 cranehook_jump
	env_setanim 72 cranerope_jump
	#Konoko tucks over shredders
	cm_anim_block both OutroCamTuck
	chr_envanim 0 OutroKonBox03 norotation
	chr_animate 0 KONOKOlev14_Tuck
	env_setanim 71 cranehook_tuck
	env_setanim 72 cranerope_tuck
	sleep f160
	sound_dialog_play c13_66_05konoko
	#Konoko dives into acid
	chr_nocollision 0 1
	cm_anim_block both OutroCamDive
	chr_envanim 0 OutroKonBox04 norotation
	chr_animate 0 KONOKOlev14_Dive
	env_setanim 71 cranehook_dive
	env_setanim 72 cranerope_dive
	sleep f90
	cinematic_stop (KONintense, 20, 20)
	sleep f60
	particle OutroSplash create
	sound_ambient_start c14_15_12_splash
	sleep f120
	sound_ambient_start c14_16_18_bubbles	
	sleep f80



	### CB: this is the two-guys-at-the-acid-pool script
#	playback OutroTCTF1 OutroTCTFSwat01
#	playback OutroTCTF2 OutroTCTFLite01
#	sleep f100
#	cm_interpolate OutroCamWater01 0
#	sleep f120
#	sound_dialog_play c13_67_01opsguard1
#	cinematic_start (TCTFtalking, 180, 180, 19, 7, 20, false)
#	sound_dialog_play_block
#	sound_dialog_play c13_67_02opsguard2
#	cinematic_start (BOPSface, 180, 180, 20, 9, 20, true)
#	sound_dialog_play_block
#	#TCTFguys from birds eye
#	cm_interpolate OutroCamWater02 0
#	#sound_dialog_play c13_67_03opsguard3
#	#sound_dialog_play_block
#	#sound_dialog_play c13_67_04opsguard1
#	#sound_dialog_play_block
#	sleep f30
#	sound_dialog_play c13_67_05opsguard2
#	sound_dialog_play_block
#	cinematic_stop (BOPSface, 20, 20)
#	cinematic_stop (TCTFtalking, 19, 20)






	### CB: this is the same script with a third character added
	ai2_spawn OutroTCTF1
	ai2_spawn OutroTCTF2
	ai2_spawn OutroTCTF3
	playback OutroTCTF1 OutroTCTFSwat01
	playback OutroTCTF2 OutroTCTFLite01
	sleep f40
	playback OutroTCTF3 OutroTCTFLite02
	sleep f60
	cm_interpolate OutroCamWater01 0
	sleep f120
	sound_dialog_play c13_67_01opsguard1
	cinematic_start (TCTFtalking, 180, 180, 19, 7, 20, false)
	sound_dialog_play_block
	sound_dialog_play c13_67_02opsguard2
	cinematic_start (BOPSface, 180, 180, 20, 9, 20, true)
	sound_dialog_play_block
	sound_dialog_play c13_67_03opsguard3
	sound_dialog_play_block
	cinematic_stop (BOPSface, 20, 20)
	cinematic_stop (TCTFtalking, 19, 20)

	#TCTFguys from birds eye
	cm_interpolate OutroCamWater02 0
	sleep f40
	cinematic_start (TCTFtalking, 180, 180, 20, 9, 20, true)
	sound_dialog_play c13_67_04opsguard1
	sound_dialog_play_block
	sleep f30
	cinematic_start (BOPSface, 180, 180, 19, 7, 20, false)
	sound_dialog_play c13_67_05opsguard2
	sound_dialog_play_block
	sleep f140
	cinematic_stop (BOPSface, 19, 20)
	cinematic_stop (TCTFtalking, 20, 20)




	sleep f140
	win
}

