# neuro_spawn_guards.bsl
#
# SCRIPTS TO SPAWN SECURITY GUARDS
#

################# START GAME LOGIC #############################

# creates counterS for stuff
var int neuro_counter;
var int kerr_counter;
var int has_probed = 0;
var int ambush_counter = 2;
var int final_check = 0;
var int FTS_variable = 2;

func void level_start(void)
{
# set counter values

	neuro_counter = 3
	end_counter = 2
	kerr_counter = 3

	############# SAVE GAME SCRIPTS #############

# These functions are used when the game is restored.

	if (save_point eq 0)
	{
		dprint SAVE_POINT_0
#		VOODOO COMPUTING
	}

	if (save_point eq 1)
	{
		playback 0 alarm1 1
		
		fork intro_part4_0
		Pod1_Alarm
		
		#No! Do not restore the game (!) ;-).
		#restore_game
	}

	if (save_point eq 2)
	{
		restore_game
	
	post_scan_music_start
	LabStage
	}
}


######################################
#                                    #
#          MUSIC - OTHER STUFF       #
#                                    #
######################################


func void start_trap_music(string ai_name)
{
	dprint martys_baby
	sound_music_start mus_space01 0.8
}

func void Die_For_Kerr_1(string ai_name)
{
	dprint DFK_1
	kerr_counter = kerr_counter - 1

	if (kerr_counter eq 0)
	{
		Kerr_Console_All_Counters();
	}
}

func void Die_For_Kerr_2(string ai_name)
{
	dprint DFK_2
	kerr_counter = kerr_counter - 1

	if (kerr_counter eq 0)
	{
		Kerr_Console_All_Counters();
	}
}

func void Die_For_Kerr_3(string ai_name)
{
	dprint DFK_3
	kerr_counter = kerr_counter - 1

	if (kerr_counter eq 0)
	{
		Kerr_Console_All_Counters();
	}
}

func void Kerr_Console_All_Counters(void)
{
	dprint START_KERR
	trigvolume_enable(Kerr_trig, 1);
	fork Pod3_Unlock_Doors
}

func void Setup_Intro(string ai_name)
{
# SETUP POD 1 AREA
	dprint Setup_Intro
	trig_activate 1
	particle lock99_locklight02 do start
	particle lock100_locklight01 do stop

	door_unlock 11
}

######################################
#                                    #
#          POD 1 - STAGE 2-1         #
#                                    #
######################################

# <----------------- Setup_Pod1 ---------------------->

func void Setup_Pod1(void)
{

particle lock1_locklight01 do stop
particle lock1_locklight01 do start
sound_music_stop mus_space01

kerr_console_music_start

door_lock 20
door_lock 21
door_lock 22
door_lock 23
door_unlock 11
ai2_spawn Pod1_TCL_1
ai2_spawn Pod1_TCL_2
ai2_spawn Pod1_TCL_3
sound_music_start mus_ambgrv2 0.9
particle lock99_locklight02 do start
sleep 180

ai2_tripalarm 11 Konoko
particle lock1_locklight01 do stop
particle alarm1_emlight01 do start
#
}

# <----------------- Pod1_1 ---------------------->

func void Pod1_1(void)
{

cm_interpolate lock1 50
ai2_takecontrol 1
ai2_allpassive 1

sound_ambient_start alarm_loop



sleep 75

cinematic_start (TCTFtalking, 180, 180, 20, 9, 20, true)
sleep 50
dmsg "[y. TCTF: Konoko, you are under arrest. Surrender now!]"
cinematic_start (KONangry, 180, 180, 19, 7, 20, false)
sleep 150
message_remove
dmsg "[b. Konoko: Never. You will all die!]"
sleep 100
message_remove
dmsg "[y. TCTF: Enough. Feel the wrath of a copy factory!]"
sleep 150
message_remove
cinematic_stop (TCTFtalking, 20, 20)
sleep 26
cinematic_stop (KONangry, 19, 20)

sleep 25
cm_reset

ai2_takecontrol 0
ai2_allpassive 0

}

# <----------------- Pod1_2 ---------------------->

func void Pod1_2(void)
{

sleep 200

ai2_spawn LabHall_BOL_1
ai2_setalert LabHall_BOL_1 high 
playback LabHall_BOL_1 alarm2 1
ai2_setjobstate LabHall_BOL_1
ai2_attack LabHall_BOL_1 char_0

sleep 100

ai2_spawn LabHall_BOL_2
ai2_setalert LabHall_BOL_2 high 
playback_block LabHall_BOL_2 alarm2 1
ai2_setjobstate LabHall_BOL_2
ai2_attack LabHall_BOL_2 char_0

sleep 100

ai2_spawn LabHall_BOL_3
ai2_setalert LabHall_BOL_3 high 
playback_block LabHall_BOL_3 alarm2 1
ai2_setjobstate LabHall_BOL_3
ai2_attack LabHall_BOL_3 char_0

sleep 100



ai2_spawn LabHall_BOL_4
ai2_setalert LabHall_BOL_4 high 
playback_block LabHall_BOL_4 alarm2 1
ai2_setjobstate LabHall_BOL_4
ai2_attack LabHall_BOL_4 char_0

sleep 100

ai2_spawn Sec_Ambush_BOS_1
ai2_setalert Sec_Ambush_BOS_1 high 
playback_block Sec_Ambush_BOS_1 alarm1 1
ai2_setjobstate Sec_Ambush_BOS_1
ai2_attack Sec_Ambush_BOS_1 char_0

sleep 100

ai2_spawn Sec_Ambush_BOS_2
ai2_setalert Sec_Ambush_BOS_2 high 
playback_block Sec_Ambush_BOS_2 alarm2 1
ai2_setjobstate Sec_Ambush_BOS_2
ai2_attack Sec_Ambush_BOS_2 char_0

}

# <----------------- Pod1_3_1 ---------------------->

func void Pod1_3_1(void)
{
ai2_takecontrol 1
ai2_allpassive 1

sleep 100

dmsg "[y. Intercom - Ready]"

	cinematic_start (KONtalking, 180, 180, 15, 1, 20, false)
	cinematic_start (KERRtalking, 180, 180, 20, 9, 20, true)

sleep 200
message_remove
dmsg "[r. Kerr: it is getting worse and worse. Prepare to be teleported to Pod #2. Hurry, Konoko!]"

sleep 200
message_remove

fade_out 3 2 5 7
playback 0 pod2alarm1 1
fade_in 100
sleep 100


ai2_takecontrol 0
ai2_allpassive 0

	cinematic_stop (KONtalking, 19, 20)
	cinematic_stop (KERRtalking, 20, 20)

}

# <----------------- Pod1_3 ---------------------->

func void Pod1_3(void)
{

chr_wait_health LabHall_BOL_1 0
chr_wait_health LabHall_BOL_2 0
chr_wait_health LabHall_BOL_3 0
chr_wait_health LabHall_BOL_4 0
chr_wait_health Sec_Ambush_BOS_1 0
chr_wait_health Sec_Ambush_BOS_2 0
chr_wait_health Pod1_TCL_1 0
chr_wait_health Pod1_TCL_2 0
chr_wait_health Pod1_TCL_3 0

Pod1_3_1
}

# <----------------- Pod1_alarm ---------------------->

func void Pod1_Alarm(string ai_name)
{
console_deactivate 10
Setup_Pod1
Pod1_1
Pod1_2
Pod1_3
sound_ambient_stop alarm_loop
}

# UNLOCK DOORS FROM CONSOLE
func void Pod1_UnlockDoors(string ai_name)
{
}
######################################
#                                    #
#          POD 2 - STAGE 2-2         #
#                                    #
######################################


# <----------------- Setup_Pod2 ---------------------->

func void Setup_Pod2(void)
{

	ai2_spawn Pod2_TCL_1
	ai2_spawn Pod2_TCL_2

	particle lock2_locklight01 do stop

	door_lock 28
	door_lock 29
	door_lock 30
	door_lock 31
	
	particle lock99_locklight02 do start

ai2_setalert Pod2_TCL_1 high 
ai2_setalert Pod2_TCL_2 high 

}

# <----------------- Pod2_1 ---------------------->

func void Pod2_1(void)
{

ai2_takecontrol 1
ai2_allpassive 1

sound_ambient_start alarm_loop



sleep 75

cinematic_start (TCTFtalking, 180, 180, 20, 9, 20, true)
sleep 50
dmsg "[y. TCTF: Konoko, you are under arrest. Surrender now!]"
cinematic_start (KONangry, 180, 180, 19, 7, 20, false)
sleep 150
message_remove
dmsg "[b. Konoko: Never. You will all die!]"
sleep 100
message_remove
dmsg "[y. TCTF: Enough. Taste the wrath of a copy factory!]"
sleep 150
message_remove
cinematic_stop (TCTFtalking, 20, 20)
sleep 26
cinematic_stop (KONangry, 19, 20)

sleep 25
cm_reset

ai2_takecontrol 0
ai2_allpassive 0

}

# <----------------- Pod2_2 ---------------------->

func void Pod2_2(void)
{

sleep 100

ai2_spawn Pod1_BOL_Alarm_1
ai2_setalert Pod1_BOL_Alarm_1 high 
playback Pod1_BOL_Alarm_1 pod2alarm2 1
ai2_setjobstate Pod1_BOL_Alarm_1
ai2_attack Pod1_BOL_Alarm_1 char_0
chr_set_health Pod1_BOL_Alarm_1 200
sleep 120

ai2_spawn Pod1_BOL_Alarm_2
ai2_setalert Pod1_BOL_Alarm_2 high 
playback Pod1_BOL_Alarm_2 pod2alarm2 1
ai2_setjobstate Pod1_BOL_Alarm_2
ai2_attack Pod1_BOL_Alarm_2 char_0
chr_set_health Pod1_BOL_Alarm_2 200
sleep 120

ai2_spawn Pod2_BOS_1
ai2_setalert Pod2_BOS_1 high 
playback Pod2_BOS_1 pod2alarm2 1
ai2_setjobstate Pod2_BOS_1
ai2_attack Pod2_BOS_1 char_0
chr_set_health Pod2_BOS_1 200
sleep 120

ai2_spawn Pod2_BOL_Alarm_1
ai2_setalert Pod2_BOL_Alarm_1 high 
playback Pod2_BOL_Alarm_1 pod2alarm2 1
ai2_setjobstate Pod2_BOL_Alarm_1
ai2_attack Pod2_BOL_Alarm_1 char_0
chr_set_health Pod2_BOL_Alarm_1 200
sleep 120

ai2_spawn pod2_a_1
ai2_setalert pod2_a_1 high 
playback pod2_a_1 pod2alarm2 1
ai2_setjobstate pod2_a_1
ai2_attack pod2_a_1 char_0
chr_set_health pod2_a_1 200

sleep 120

ai2_spawn pod2_a_2
ai2_setalert pod2_a_2 high 
playback pod2_a_2 pod2alarm2 1
ai2_setjobstate pod2_a_2
ai2_attack pod2_a_2 char_0
chr_set_health pod2_a_2 200


}

# <----------------- Pod2_3_1 ---------------------->

func void Pod2_3_1(void)
{
ai2_takecontrol 1
ai2_allpassive 1

sleep 100

dmsg "[y. Intercom - Ready]"

	cinematic_start (KONtalking, 180, 180, 15, 1, 20, false)
	cinematic_start (KERRtalking, 180, 180, 20, 9, 20, true)

sleep 200
message_remove
dmsg "[r. Kerr: it is terrible. The whole place is gonna blow. I am teleporting you to Pod #3.]"

sleep 200
message_remove

fade_out 3 2 5 7
#playback 0 pod3alarm1 1
fade_in 100
sleep 100

dmsg "[b. Konoko: something is wrong, I did not get teleported.]"
sleep 150
message_remove
dmsg "[r. Kerr: Konoko ... the system is ... be careful ...]"
sleep 100
message_remove
dmsg "[r. Kerr: ...........................................]"
sleep 100
cinematic_stop (KERRtalking, 20, 20)
sleep 50
cinematic_start (KERRtalking, 180, 180, 20, 9, 20, true)

message_remove
sleep 25
dmsg "[g. Kerr: Nevermind Konoko, I have changed to another frequency. You would have to get to Pod #3 by yourself. Clear that section so I can teleport you into my lab.]"
cm_orbit 0.3
sleep 500
cm_reset
ai2_takecontrol 0
ai2_allpassive 0

	cinematic_stop (KONtalking, 19, 20)
	cinematic_stop (KERRtalking, 20, 20)

}

# <----------------- Pod2_3 ---------------------->

func void Pod2_3(void)
{

chr_wait_health Pod1_BOL_Alarm_1 0
chr_wait_health Pod1_BOL_Alarm_2 0
chr_wait_health Pod2_BOS_1 0
chr_wait_health Pod2_BOL_Alarm_1 0
chr_wait_health pod2_a_1 0
chr_wait_health pod2_a_2 0
chr_wait_health Pod2_TCL_1 0
chr_wait_health Pod2_TCL_1 0

Pod2_3_1
}

# <----------------- Pod2_alarm ---------------------->

func void Pod2_Alarm(string ai_name)
{
console_deactivate 11
Setup_Pod1
Pod2_1
Pod2_2
Pod2_3
sound_ambient_stop alarm_loop
}

######################################
#                                    #
#        THE LAB - STAGE 3-1         #
#                                    #
######################################

# <----------------- Lab Stage 1 ---------------------->

func void labstage_1 (void)
{
ai2_takecontrol 1
ai2_allpassive 1
post_scan_music_stop
sound_music_start mus_space01 0.8
sleep 50

dmsg "[b. Konoko: Uncle, where are you?]"


sleep 100

message_remove

dmsg "[b. Konoko: Is this some kind of a test?]"

sleep 100

message_remove

dmsg "[g. Griffin: Yes, thanks to your uncle, we have got you. It is just too bad that he didn't tell you the final instructions.]"

sleep 300

message_remove

sleep 30

dmsg "[b. Konoko: I can teleport out of here using the console and you better learn your manners.]"

sleep 300

message_remove

sleep 20

dmsg "[g. Griffin: Konoko, take a look around and tell me whether or not you want to fight.]"

sleep 300

message_remove

ai2_takecontrol 1
ai2_allpassive 1

}

# <----------------- Lab Stage 2 ---------------------->

func void labstage_2 (void)
{
fade_out 3 2 5 7
sleep 100
post_scan_music_start
sound_music_stop mus_space01

ai2_spawn Scan_BOS_1
ai2_spawn Scan_BOS_2
ai2_spawn Scan_BOS_3


ai2_spawn Scan_BOS_4
ai2_spawn Final_BOS_1
ai2_spawn Final_BOL_1
ai2_spawn Final_BOL_2

ai2_spawn Sec_Ambush_BOL_1
ai2_spawn Sec_Ambush_BOL_2

#playbacks

playback Scan_BOS_1 ScanKonDone
ai2_lookatchar Scan_BOS_1 char_0

playback Scan_BOS_2 ScanDocBooth
ai2_lookatchar Scan_BOS_2 char_0

playback Scan_BOS_3 ScanDocBooth
ai2_lookatchar Scan_BOS_3 char_0

playback Scan_BOS_4 ScanDocBooth
ai2_lookatchar Scan_BOS_4 char_0

playback Sec_Ambush_BOL_1 ScanKonDie
ai2_lookatchar Sec_Ambush_BOL_1 char_0

playback Sec_Ambush_BOL_2 ScanKonDie
ai2_lookatchar Sec_Ambush_BOL_2 char_0

playback Final_BOL_1 ScanKerr01
ai2_lookatchar Final_BOL_1 char_0

playback Final_BOL_2 ScanKerr01
ai2_lookatchar Final_BOL_2 char_0

playback Final_BOS_1 ScanKerr01
ai2_lookatchar Final_BOS_1 char_0

		env_show 52 0
		env_show 53 0
		env_show 54 0
		env_show 55 0
		env_show 56 0
		env_show 57 0
		env_show 58 0
		env_show 59 0
		obj_create 51 59

	ai2_spawn Sec_BOS_1
	ai2_spawn Sec_BOS_2
	ai2_spawn Sec_BOL_1


chr_envanim Sec_BOS_1 ScanKonBox01 300
chr_envanim Sec_BOS_2 ScanKonBox01 300
chr_envanim Sec_BOL_1 ScanKonBox01 300

ai2_spawn CS_ScanOps01
#playback CS_ScanOps01 AmbushTCTFEnter11

cm_interpolate ScanCamBooth
sleep 100

fade_in 300
sleep 100

}

# <----------------- Lab Stage 3 ---------------------->

func void labstage_3 (void)
{


cm_interpolate ScanCamScan02 200
cm_interpolate_block ScanCamBoth03 200
cm_interpolate_block ScanCamDocTalk03 200
cm_interpolate_block ScanCamTalkBoth 200
cm_interpolate ScanCamKonDie 200
cm_interpolate ScanCamChairDown 200
cm_reset

chr_animate 0 KONOKOpowerup 0
chr_set_health 0 750

ai2_takecontrol 0

sleep 300

ai2_allpassive 0

dmsg "[b. Elixir... Go! This one must be extra-special.]"

sleep 200
message_remove

}

# <----------------- Lab Stage 4 ---------------------->

func void labstage_4 (void)
{

chr_wait_health CS_ScanOps01 0
chr_wait_health Sec_BOS_1 0
chr_wait_health Scan_BOS_3 0
chr_wait_health Scan_BOS_4 0
chr_wait_health Scan_BOS_2 0
chr_wait_health Sec_Ambush_BOL_1 0
chr_wait_health Sec_Ambush_BOL_2 0
chr_wait_health Sec_BOS_2 0
chr_wait_health Sec_BOL_1 0

post_scan_music_stop
sound_music_start mus_space01 0.8

ai2_spawn ScanKerr01
ai2_movetoflag ScanKerr01 1009

ai2_takecontrol 1

#Make sure that stupid things like the screamming cannon
#Do not kill you or Kerr in the cutscene!!!

chr_set_health ScanKerr01 10000
invincible=1
unstoppable=1

ai2_movetoflag 0 1009

	cinematic_start (KONtalking, 180, 180, 15, 1, 20, false)
	cinematic_start (KERRtalking, 180, 180, 20, 9, 20, true)

sleep 30

dmsg "[y. Intercom - Ready]"
sleep 50
message_remove



dmsg "[r. Kerr: I have managed to connect. Griffin watched over my back and unknown to me recruited an assault team.]"

sleep 350
message_remove
sleep 20

dmsg "[b. Konoko: Uncle... I was so worried about you. Elixers... what are they?]"

sleep 250
message_remove
sleep 20

dmsg "[r. Kerr: The TCTF Techonology is expanding. 1) Elixirs increase your health to maximal. 2) Phase Ring (it drains health when used).]"

sleep 500
message_remove
sleep 20

dmsg "[b. Konoko: So, when will I be using these technologies...]"

sleep 500
message_remove
sleep 20

dmsg "[r. Kerr: Konoko, I am glad to hear that the victory is ours. However, the Syndicate was watching us... and very closely... and they stole it!]"
sleep 500
message_remove
sleep 20
dmsg "[b. Konoko: Should I retrieve it?]"
sleep 100
message_remove
dmsg "[r. Kerr: Yes, but it is for another day. I am going to teleport you out of here, so you can have a break. And Oni Master needs one too.]"
sleep 300
message_remove
sleep 50
dmsg "[y. Credits:]"
sleep 70
dmsg "[y. Scripting by Oni Master.]"
sleep 70
dmsg "[y. Formatting by Oni Master.]"
sleep 70
dmsg "[y. Story by Oni Master.]"
sleep 70
dmsg "[y. Readme by Oni Master.]"
sleep 70
dmsg "[y. For your enjoyment by Oni Master.]"
sleep 70
dmsg "[y. Everything by Oni Master.]"
sleep 200
message_remove
cm_reset

ai2_takecontrol 0

cinematic_stop (KONtalking, 19, 20)
	cinematic_stop (KERRtalking, 20, 20)

win


}


# <----------------- Lab Stage - Main ---------------------->

func void LabStage (void)
{
save_game 2 auto_save

labstage_1
labstage_2
labstage_3
fork labstage_4
}


######################################
#                                    #
#          POD 3 - STAGE 2-3         #
#                                    #
######################################

# <----------------- Pod3_1_1 ---------------------->

func void Pod3_1_1(void)
{

ai2_takecontrol 1

		
sleep 100

cinematic_start (BOPSface, 180, 180, 20, 9, 20, true)
sleep 50
dmsg "[y. Arial: Konoko, you are under arrest. Surrender now.]"
cinematic_start (KONangry, 180, 180, 19, 7, 20, false)
sleep 150
message_remove
dmsg "[b. Konoko: You may be the captain of the Black Ops, but you do not scare me.]"
sleep 100
message_remove
dmsg "[y. Arial: Bring it on.]"
sleep 150
message_remove
cinematic_stop (BOPSface, 20, 20)
sleep 26
cinematic_stop (KONangry, 19, 20)

ai2_takecontrol 0

ai2_spawn Pod3_BOS_1
chr_set_health Pod3_BOS_1 750
fork Pod3_1_0

}

# <----------------- Pod3_1_0 ---------------------->

func void Pod3_1_0(void)
{
chr_wait_health Pod3_BOS_1 0

ai2_takecontrol 1
ai2_allpassive 1

dmsg "[y. Arial: You win. I assume I cannot prevent you from taking my Elixir.]"
sleep 350

message_remove

sleep 100

dmsg "[y. Intercom - Ready]"

	cinematic_start (KONtalking, 180, 180, 15, 1, 20, false)
	cinematic_start (KERRtalking, 180, 180, 20, 9, 20, true)

sleep 200
message_remove
dmsg "[g. Kerr: Great Job! He will be back... Teleporting system is back online.]"
		door_unlock 58

		door_unlock 1
		door_unlock 6
		door_unlock 7

sleep 200
message_remove

fade_out 3 2 5 7
chr_teleport 0 1009
chr_teleport ScanKerr01 274

self_destruct=0
timer_stop

fade_in 200
sleep 100

ai2_takecontrol 0
ai2_allpassive 0


	cinematic_stop (KONtalking, 19, 20)
	cinematic_stop (KERRtalking, 20, 20)

# LISTEN!!! IF YOU ARE READING THIS RIGHT NOW
# AND YOUR LABSTAGE IS NOT FORKED UNCOMMENT THE NEXT LINE.

post_scan_music_start
LabStage

# YOU DO NOT NEED IT.

		door_lock 58

		door_lock(1);
		door_lock(6);
		door_lock(7);

}

# <----------------- Pod2_unlockdoors ---------------------->

func void Pod2_UnlockDoors(string ai_name)
{
	dprint Pod2UnlockDoors

	door_unlock 28
	door_unlock 29
	door_unlock 30
	door_unlock 31
	door_lock(11);
	particle lock99_locklight02 do stop

	input 0
	cm_interpolate lock2 0
	sleep 30
	particle alarm2_emlight01 do stop
	sleep 30
	particle lock2_locklight01 do start
	sleep 150
	cm_reset
	input 1

sleep 50

fork Pod3_1_1

}

























######################################
#                                    #
#   RUINS FROM ORIGINAL FILE         #
#                                    #
######################################



###################### POD 3 #################################
func void Pod3_Setup(string ai_name)
{
}

func void Pod3_Unlock_Doors(string ai_name)
{
}

func void Kerr_Console(string ai_name)
{
}

###################### LAB 1 #################################
func void Setup_Lab(string ai_name)
{
}

func void Lab_Console_1(string ai_name)
{
}

func void Lab_Console_2(string ai_name)
{
}

func void Lab_Console_3(string ai_name)
{
}

func void Lab_Console_All_Counters(void)
{
}

func void Lab_Unlock_Door_5(string ai_name)
{
}

#######################DURING THE SCAN#########################
func void Scan_Guards(string ai_name)
{
}

func void get_her(string ai_name)
{
}

func void endgether(string ai_name)
{
}
########################### SECURITY #########################
func void Setup_Security(string ai_name)
{
}

func void Unlock_Door_7(string ai_name)
{
}

func void Sec_Ambush_1(string ai_name)
{
}


func void nextwave_1(string ai_name)
{
}

func void nextwave_2(string ai_name)
{
}

func void closethedoor(string ai_name)
{
}

func void Sec_Ambush_2(string ai_name)
{
}

######################### FINAL #########################

func void Setup_Final(string ai_name)
{
}

func void end(string ai_name)
{
}

##############################################################

# COUNTDOWN TO FINAL CUTSCENE

func void check_1(string ai_name)
{
}

func void check_2(string ai_name)
{
}

func void mid_guards(string ai_name)
{
}

func void end_guards(string ai_name)
{
}


####################################################################

func void set_objective_1(void)
{
}

func void set_objective_2(string chr_index)
{
}

func void set_objective_3(string chr_index)
{
}

func void set_objective_4(string chr_index)
{
}

func void kerr_died(string ai_name)
{
	if (has_probed eq 0)
	{
		you_lose();
	}
}

func void you_lose(string ai_name)
{
	sleep 240
	fade_out 0 0 0 180 
	sleep 240
	lose
}

func void level_14a(void)
{
}

func void level_14b(void)
{
}


################## ANIM SCRIPTS ##########################################
func void patrolscript0001 (string ai_name)
{
	playback_block Pod1_TCL_1 alarm1 interp 20
}

func void patrolscript0002 (string ai_name)
{
	playback_block Pod1_TCL_2 alarm2 interp 20
}

func void patrolscript0003 (string ai_name)
{
	playback_block Pod2_TCL_1 pod2alarm1 interp 20
}

func void patrolscript0004 (string ai_name)
{
	playback_block Pod2_TCL_2 pod2alarm2 interp 20
}

func void patrolscript0009 (string ai_name)
{
	particle lock99_locklight02 do start
	door_unlock 11
	sleep 540
	particle lock99_locklight02 do stop
	door_lock 11
}

func void patrolscript0010 (string ai_name)
{
	particle lock99_locklight02 do start
	door_unlock 11
# WAIT AND RELOCK DOORS
	sleep 540
	particle lock99_locklight02 do stop
	door_lock 11
}

func void kerr_console_music(void)
{
	sound_music_start mus_ambgrv2 0.8
}

func void kerr_console_music_stop(void)
{
	dprint stopping_kerr_console_music
	sound_music_stop mus_ambgrv2
}

func void post_scan_music_start(void)
{
	dprint startting posctuscene
	sound_music_start mus_xtr1 0.7
}

func void post_scan_music_stop(void)
{
	sound_music_stop mus_xtr1
}

################## VAT MONOLOGUE LOGIC ##########################

var int played_vat_monologue = 0;

func void prepare_vat_monologue(void)
{
}

func void set_vat_monologue_variable(void)
{
}

func void play_vat_monologue(string ai_name)
{
}

################## END LEVEL LOGIC FOR TRIGGER ###################

func void check_outro(string ai_name)
{
}

func void final_check_for_crane(string ai_name)
{
}

func void FTS(string ai_name)
{
}